> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-6/v6-5-4a.md).

# Version 6.5.4a

Enhance your PDF viewing experience with the latest update! Learn about the new features and improvements in this maintenance release. Get all the details here. The Apryse iOS SDK streamlines secure d

Release Date: 2016.09.27

*This is a maintenance release. The next major release (planned for this fall) will require iOS 9 or greater.*

* Fix for when `PTPDFViewCtrl` is resized via auto layout.
* Sticky notes are rendered correctly with the no zoom property.
* The ink annotation tool always writes at least 2 points for better compatibility when rendering an annotation made with a single tap.
* Uses a popover for the colour picker on iPhone when the OS allows.
* Fix for a crash that could occur when importing certain XFDF data.
* New Methods:
  * To highlight with multiple selection objects: `-[PTPDFViewCtrl highlightSelections:withColor:]`
  * To convert an HTML string to a PDF: `+[PTConvert convertHTMLStringToPDF:baseURL:paperSize:completion:]`
* Miscellaneous minor improvements and bug fixes in tools and the framework


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-6/v6-5-4a.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
